Skip to main content
GET
/
v2
/
tokens
/
mints-burns
Get mint and burn events for a token
curl --request GET \
  --url https://api.range.org/v2/tokens/mints-burns \
  --header 'Authorization: Bearer <token>'
{
  "token": "<string>",
  "network": "<string>",
  "events": [
    {
      "type": "mint",
      "amount_raw": "<string>",
      "amount": 123,
      "tx_hash": "<string>",
      "block_number": 123,
      "slot": 123,
      "timestamp": 123,
      "account": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.range.org/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Query Parameters

network
string
required

Network name (e.g. eth, solana)

token
string
required

Token name, e.g. USDtb

limit
number
default:50

Max number of events to return (default 50, max 1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor (next_cursor value from previous page)

Response

200 - application/json
token
string
required

Token contract or mint address

network
string
required

Network name

events
object[]
required
next_cursor
string

Cursor to pass as cursor for the next page

Last modified on May 15, 2026